/*
 * *************************************************
 * Copyright (c) 2019 QMTH. All Rights Reserved.
 * Created by Deason on 2019-05-29 11:31:01.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.core;

import cn.com.qmth.examcloud.app.core.router.Server;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 属性配置服务类
 */
@Component
public class SysProperty {

    @Autowired
    private CloudDiscoveryClient discoveryClient;

    @Value("${$aliyun.site.1.domain}")
    private String fileDomain;

    @Value("${examcloud.api.domain}")
    private String apiDomain;

    public String getFileDomain() {
        return fileDomain;
    }

    public void setFileDomain(String fileDomain) {
        this.fileDomain = fileDomain;
    }

    public String getApiDomain() {
        return apiDomain;
    }

    public void setApiDomain(String apiDomain) {
        this.apiDomain = apiDomain;
    }

    public String getProxyUrl(Server server) {
        return discoveryClient.getInstanceUrl(server.getInstanceName());
    }

}
